Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class RelationType

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.standard.type.RelationType

All Implemented Interfaces:
  DataElement, MutableDataElement

public class RelationType
extends MutableDataElementSupport

Unit to specify kinetic constat, parameter or variable units.

Pendung:
  refine the definition according CellML/SBML approach

Field Summary
`protected java.lang.String` | `title` Relation title, we preserve ID, but we can change the title.

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`RelationType(DataCollection parent, java.lang.String name)`

Method Summary
`java.lang.String` | `getComment()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getStroke()`
`java.lang.String` | `getTitle()`
`void` | `setComment(java.lang.String comment)`
`void` | `setDescription(java.lang.String description)`
`void` | `setStroke(java.lang.String stroke)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### title

    protected java.lang.String title

  Relation title, we preserve ID, but we can change the title.

Constructor Detail

### RelationType

    public RelationType(DataCollection parent,
                        java.lang.String name)

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getComment

    public java.lang.String getComment()

### setComment

    public void setComment(java.lang.String comment)

### getStroke

    public java.lang.String getStroke()

### setStroke

    public void setStroke(java.lang.String stroke)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.